Subject: Re: [PATCH 0/7] Remove dependency of polkit, python-dbusmock, etc. on (guix build syscalls)

From: Efraim Flashner <[email-masked]>
Date: Tue, 17 Oct 2023 11:56:56 +0300

On Fri, Oct 13, 2023 at 05:45:32PM +0200, Ludovic Courtès wrote:
> Hello!
> 
> This patch series removes (guix build syscalls) from the dependencies
> of several packages where having that dependency would effectively
> prevent us from changing syscalls.scm due to the high number of
> dependents (and it turns out that removing that dependency was easy).
> 
> This change involves a rebuild of ~3,912 packages.  I plan to create
> a branch and have it built by ci.guix (I suppose qa.guix will skip it
> by default?).  I can do that any time (the build farm is currently idle!)
> but since ‘rust-team’ is fully built, I thought we might want to merge
> it first; Efraim?  I’ll also send a proper “request for merging”.

That would be nice. I'm currently waiting for aarch64 to catch up and
then I need to rebase on master since the qt-team branch got merged and
then it should be ready.

> Besides I have not forgotten about the underlying bug, reported
> at <https://issues.guix.gnu.org/30948>, and I plan to propose another
> fix there.
> 
> Thoughts?
> 
> Ludo’.
> 
> Ludovic Courtès (7):
>   gnu: mutter: Remove dependency on (guix build syscalls).
>   gnu: python-ipykernel: Remove dependency on (guix build syscalls).
>   gnu: python-dbusmock: Remove dependency on (guix build syscalls).
>   gnu: python-dbusmock: Rewrite phases as a gexp.
>   gnu: python-dbusmock: Use ‘search-input-file’.
>   gnu: polkit: Remove dependency on (guix build syscalls).
>   gnu: public-inbox: Remove dependency on (guix build syscalls).
> 
>  gnu/packages/gnome.scm      | 25 +++++-----
>  gnu/packages/mail.scm       | 33 ++++++-------
>  gnu/packages/polkit.scm     | 35 ++++++-------
>  gnu/packages/python-xyz.scm | 99 ++++++++++++++++++-------------------
>  4 files changed, 89 insertions(+), 103 deletions(-)
> 
> 
> base-commit: 5a3fb306535c2ec0a118f2f0bc8f6a162b85c7d6
> -- 
> 2.41.0
> 

-- 
Efraim Flashner   <[email-masked]>   רנשלפ םירפא
GPG key = A28B F40C 3E55 1372 662D  14F7 41AA E7DC CA3D 8351
Confidentiality cannot be guaranteed on emails sent or received unencrypted